package com.ruoyi.project.sems.safecheck.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.safecheck.mapper.TSpecWeekcheckMapper;
import com.ruoyi.project.sems.safecheck.domain.TSpecWeekcheck;
import com.ruoyi.project.sems.safecheck.service.ITSpecWeekcheckService;

/**
 * 每周安全排查Service业务层处理
 *
 * @author Li
 * @date 2023-08-21
 */
@Service("tSpecWeekcheckServiceImpl")
public class TSpecWeekcheckServiceImpl implements ITSpecWeekcheckService
{
    @Autowired
    private TSpecWeekcheckMapper tSpecWeekcheckMapper;

    /**
     * 查询每周安全排查
     *
     * @param id 每周安全排查ID
     * @return 每周安全排查
     */
    @Override
    public TSpecWeekcheck selectTSpecWeekcheckById(Long id)
    {
        return tSpecWeekcheckMapper.selectTSpecWeekcheckById(id);
    }

    /**
     * 查询每周安全排查列表
     *
     * @param tSpecWeekcheck 每周安全排查
     * @return 每周安全排查
     */
    @Override
    public List<TSpecWeekcheck> selectTSpecWeekcheckList(TSpecWeekcheck tSpecWeekcheck)
    {
        return tSpecWeekcheckMapper.selectTSpecWeekcheckList(tSpecWeekcheck);
    }

    /**
     * 新增每周安全排查
     *
     * @param tSpecWeekcheck 每周安全排查
     * @return 结果
     */
    @Override
    public int insertTSpecWeekcheck(TSpecWeekcheck tSpecWeekcheck)
    {
        return tSpecWeekcheckMapper.insertTSpecWeekcheck(tSpecWeekcheck);
    }

    /**
     * 修改每周安全排查
     *
     * @param tSpecWeekcheck 每周安全排查
     * @return 结果
     */
    @Override
    public int updateTSpecWeekcheck(TSpecWeekcheck tSpecWeekcheck)
    {
        return tSpecWeekcheckMapper.updateTSpecWeekcheck(tSpecWeekcheck);
    }

    /**
     * 批量删除每周安全排查
     *
     * @param ids 需要删除的每周安全排查ID
     * @return 结果
     */
    @Override
    public int deleteTSpecWeekcheckByIds(Long[] ids)
    {
        return tSpecWeekcheckMapper.deleteTSpecWeekcheckByIds(ids);
    }

    /**
     * 删除每周安全排查信息
     *
     * @param id 每周安全排查ID
     * @return 结果
     */
    @Override
    public int deleteTSpecWeekcheckById(Long id)
    {
        return tSpecWeekcheckMapper.deleteTSpecWeekcheckById(id);
    }
}
